Skip to main content
POST
Update

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

id
string
required

Immutable unique identifier for this Virtual MCP Server.

Body

application/json

VirtualMCPServerServiceUpdateRequest updates mutable Virtual MCP Server fields.

updateMask
string | null
virtualMcpServer
Virtual Mcp Server · object | null

VirtualMCPServer is a tenant-managed MCP endpoint backed by one composition.

This message contains a oneof named composition. Only a single field of the following list may be set at a time:

  • mappedSource
  • assignedTools

Response

200 - application/json

VirtualMCPServerServiceUpdateResponse contains the updated Virtual MCP Server.

VirtualMCPServerServiceUpdateResponse contains the updated Virtual MCP Server.

virtualMcpServer
Virtual Mcp Server · object | null

VirtualMCPServer is a tenant-managed MCP endpoint backed by one composition.

This message contains a oneof named composition. Only a single field of the following list may be set at a time:

  • mappedSource
  • assignedTools